load z.mat %load the topography

[nrow, ncol] = size(z); %defines the number of lines and columns of the domain

h=z*0; %same size as z, but no initial thickness

dt = 0.25;    %time step
dtplot = 10;  %time step for plotting
tmax = 500;   %duration of the calculation (in s of the model)
g=9.81;

%mechanical behaviour ----------------
delta_int = 0/180*pi;
delta_bed = 0/180*pi;
cohesion  =  25000;
rho       = 2000;
coef_u2   = 0;
viscosity = 1e5;

representation = 'repr_lava'; %to define complex representations, calling a m-file is better. See repr_lava.m
f_avi          = 'lava.avi';
f_data         = 'lava.dat';

origin = imread('source.tif'); %load a black-and-white image where source zone are in black
                               %you can draw the source condition you want

source       = 'source_cond'; %to define complex conditions, calling a m-file is better. See source_cond.m
cond_limites = '';

dx_horiz = 20; %space steps
dy_horiz = 20;
x = [1:ncol]*dx_horiz; %x and y vectors
y = [1:nrow]*dx_horiz;

u_xx = z(1:nrow, 1:ncol-1)*0; %initial velocity
u_xy = z(1:nrow, 1:ncol-1)*0;
u_yy = z(1:nrow-1, 1:ncol)*0;
u_yx = z(1:nrow-1, 1:ncol)*0;

t=0;   %just for the first slide, at t=0.
u=h*0; %just for the first slide, at t=0.

CFLcond=0.5; %time step two times lower than needed by the CFL condition
tstep_adjust = 0; %the time step is fixed during the calculation

