%define the source conditions at the "vents"

if t<200
    dh = h*0; %dh is a matrix with the same size as h
    dh(origin<100) = 2*dt; %the variation of thickness at the vent (depends on the time step).

    %the velocity at the edges of the cells should be defined by momentum
    %conservation
    dhmx = (dh(:, 2:ncol) + dh(:,1:ncol-1)) / 2; %variation of thickness at the edges
    dhmy = (dh(2:nrow, :) + dh(1:nrow-1,:)) / 2;

    %new velocity at the source calculated by mass conservation
    u_xx(dhmx>0) = (u_xx(dhmx>0).*hmx(dhmx>0) + 0)./(hmx(dhmx>0)+dhmx(dhmx>0));
    u_xy(dhmx>0) = (u_xy(dhmx>0).*hmx(dhmx>0) + 0)./(hmx(dhmx>0)+dhmx(dhmx>0));
    u_yx(dhmy>0) = (u_yx(dhmy>0).*hmy(dhmy>0) + 0)./(hmy(dhmy>0)+dhmy(dhmy>0));
    u_yy(dhmy>0) = (u_yy(dhmy>0).*hmy(dhmy>0) + 0)./(hmy(dhmy>0)+dhmy(dhmy>0));

    %new thickness at the source
    h = h + dh;
end
